(*****************************************************************************)
(*                                  DEF.INC                                  *)
(*                                                                           *)
(*                   Benutzerfunktion und variable Parameter                 *)
(*****************************************************************************)

Const eps      = 1e-10;     (* Rechengenauigkeit                             *)
      h1       = 0.001;     (* Schrittweite bei Berechnung 1.Ableitung       *)
      h2       = 0.005;     (*       -             -       2.    -           *)
      h3       = 0.01;      (*       -             -       3.    -           *)
      m        = 12;        (* Formatparameter bei Anzeige ...               *)
      n        =  7;        (* ... von Real-Zahlen: write (x :m:n)           *)
      MaxIter  = 500;       (* Maximale Iterationszahl beim Integrieren      *)
      NoPoints = 10;        (* Symmetrie: Anzahl zu berprfender Punkte     *)
      d        = 1.0;       (*            x-Abstand zwischen zwei Punkten    *)


Function f (x :Real) :Real;                 (* die zu untersuchende Funktion *)

   Begin
   f := exp(-0.1*x) * cos(x);      (* hier ist es eine gedmpfte Schwingung! *)
   End;
