(*****************************************************************************)
(*                                 MENU3.INC                                 *)
(*                                                                           *)
(*                      Mensteuerung der Kurvendiskussion                   *)
(*****************************************************************************)

Procedure Menu;

   Var   Key           :Char;
         Quit,ValidKey :Boolean;

   Const MenuItems  = 8;
         MenuText   :Array [0..MenuItems] of String [15] = (
                    'Programmende  ',
                    'Wertetabelle  ',
                    'Nullstellen   ',
                    'Extremwerte   ',
                    'Wendestellen  ',
                    'Integral      ',
                    'Symmetrie     ',
                    'Monotonie     ',
                    'Graph zeichnen');


   Procedure SetUpScreen;

      Var i :Integer;

      Begin
      ClrScr;
      WriteLn; WriteLn; WriteLn;
      WriteLn ('-----------------------------------------------':64);
      WriteLn ('>>>>>   K u r v e n d i s k u s s i o n   <<<<<':64);
      WriteLn ('-----------------------------------------------':64);
      WriteLn; WriteLn;
      For i:=0 to MenuItems do
         Begin
         WriteLn (MenuText[i]:44, '  =  ', i);
         End;
      WriteLn;
      Write ('Bitte whlen:      ':49);
      End;


   Begin
   Quit := false;
   Repeat
      SetUpScreen;
      Repeat until KeyPressed;
      Read (KBD, Key);
      ValidKey := true;
      Case Key of
         '0': Quit := true;
         '1': Table;
         '2': FindRoots;
         '3': FindExtremeValues;
         '4': FindFlexPoints;
         '5': Integrate;
         '6': CheckSymmetry;
         '7': CheckMonotony;
         '8': DrawGraph;
         else
            ValidKey := false;
         End;
      If ValidKey and not Quit then
         Begin
         WriteLn; Write ('Weiter mit beliebiger Taste .....');
         Read (KBD, Key)
         End
   until Quit;
   ClrScr
   End;
